<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" version="3.0">
	<!-- <context-param> <param-name>resteasy.role.based.security</param-name> <param-value>true</param-value> </context-param> -->
	<security-constraint>
		<web-resource-collection>
			<web-resource-name>Secure</web-resource-name>
			<url-pattern>/api/login</url-pattern>
			
			<http-method>GET</http-method>
			<http-method>POST</http-method>
			<http-method>PUT</http-method>
			<http-method>DELETE</http-method>
		</web-resource-collection>
		<auth-constraint>
			<role-name>**</role-name>
		</auth-constraint>
	</security-constraint>

	<login-config>
		<auth-method>BASIC</auth-method>
		<realm-name>fotoDocumentationRealm</realm-name>
	</login-config>

</web-app>
